Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List issue relations

GET/workspaces/{organizationId}/issues/{issueId}/relations
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
issueIdstringrequired
Query parameters
directionstring
Allowed:outgoingincoming
Responses
200

Issue relations

relationsobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
fromIssueIdstringrequired
toIssueIdstringrequired
typestringrequired
createdAtstringrequired
inverseRelationsobject[]
Show properties
Array of object
idstringrequired
organizationIdstringrequired
fromIssueIdstringrequired
toIssueIdstringrequired
typestringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/issues/string/relations' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "relations": [
    {
      "id": "string",
      "organizationId": "string",
      "fromIssueId": "string",
      "toIssueId": "string",
      "type": "string",
      "createdAt": "string"
    }
  ],
  "inverseRelations": [
    {
      "id": "string",
      "organizationId": "string",
      "fromIssueId": "string",
      "toIssueId": "string",
      "type": "string",
      "createdAt": "string"
    }
  ]
}

Was this page helpful?